
Figure - Bug #117885
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【IOV-27706】【AF】【EVT3】【小窗模式】在有小窗时进入桌面编辑模式，手动进入屏保后唤醒，关闭小
窗，点击完成按钮无响应
2023-05-11 17:54 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-11

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0099.C103(X103)

Resolution: FIXED Degrated: No

Severity: Major Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202305150054

Reproducibility: Every time Fixed Version: 2023-05-14

Test Type: ST Root cause: 编码问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开应用宝小窗

2、长按桌面空白处进入桌面模式

3、手动进入屏保

4、唤醒后点击小窗关闭按钮

5、点击完成按钮

【预期结果】

5、退出桌面编辑模式

【实际结果】

5、点击完成按钮无响应，无法退出编辑模式，重启设备后恢复

History

#1 - 2023-05-11 18:49 - CD TEST-方永红

- File 223.txt added

测试内容补充

重启后设备退出编辑模式

但是应用宝一直crash，无法正常使用

#2 - 2023-05-11 19:04 - CD FW-鲁凯峰

- Category changed from 窗口定制 to CD-APP

- Assignee changed from CD FW-鲁凯峰 to CD APP-王宏

Launcher界面编辑模式无法退出的问题
#3 - 2023-05-12 15:19 - CD APP-王营

- Status changed from New to ASSIGNED

- % Done changed from 0 to 50

【当前状态】

问题已解决

【我的分析】

Launcher状态维护出现异常，调整编辑模式状态响应逻辑。

当前存在以下问题：

1.进入编辑模式需要隐藏小窗，隐藏hotseat。

需要和小窗同步显示隐藏策略，完善此功能逻辑

【提交】

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/199703

#4 - 2023-05-12 18:02 - CD APP-王营

- Assignee changed from CD APP-王宏 to CD APP-王营

#5 - 2023-05-13 15:53 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

199703 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

AF:Launcher:Fix the bug of exiting edit mode in the case of non-buttonTC-RID: 1201-0205304IssueID: TS-R-BUG-117885Change-Id:

I93f873dbb2151588dea4c10beb8a1d0f763e1f41

#6 - 2023-05-13 16:11 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CD TEST-方永红

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-14

- Root cause set to 编码问题

进入编辑模式逻辑重新调整，小窗无法隐藏问题待小窗提供方案后再跟进。

#7 - 2023-05-15 14:36 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202305150054

5.15

按照上述操作退出屏保后，进入桌面已自动退出桌面编辑模式
#8 - 2023-05-15 14:36 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#9 - 2023-05-15 18:24 - CDTS_TEST 王成

- Subject changed from 【AF】【EVT3】【小窗模式】在有小窗时进入桌面编辑模式，手动进入屏保后唤醒，关闭小窗，点击完成按钮无响应 to 

【IOV-27706】【AF】【EVT3】【小窗模式】在有小窗时进入桌面编辑模式，手动进入屏保后唤醒，关闭小窗，点击完成按钮无响应

Files

Phone-STS40X190078 2023-05-11 17-54-01.mp4 5.68 MB 2023-05-11 CD TEST-方永红

223.txt 5.39 MB 2023-05-11 CD TEST-方永红
